mirror of
git://projects.qi-hardware.com/openwrt-xburst.git
synced 2024-11-01 19:06:16 +02:00
2b55ad4ab5
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@31216 3c298f89-4303-0410-b956-a3cf2f4a3e73
34 lines
1.0 KiB
Diff
34 lines
1.0 KiB
Diff
--- a/contrib/regression/objs-gcc.sh
|
|
+++ b/contrib/regression/objs-gcc.sh
|
|
@@ -106,6 +106,10 @@ if [ $H_REAL_TARGET = $H_REAL_HOST -a $H
|
|
then
|
|
make all-gdb all-dejagnu all-ld || exit 1
|
|
make install-gdb install-dejagnu install-ld || exit 1
|
|
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
|
|
+ then
|
|
+ make all-gdb all-dejagnu all-ld || exit 1
|
|
+ make install-gdb install-dejagnu install-ld || exit 1
|
|
elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
|
|
make bootstrap || exit 1
|
|
make install || exit 1
|
|
--- a/libjava/classpath/ltconfig
|
|
+++ b/libjava/classpath/ltconfig
|
|
@@ -603,7 +603,7 @@ host_os=`echo $host | sed 's/^\([^-]*\)-
|
|
|
|
# Transform linux* to *-*-linux-gnu*, to support old configure scripts.
|
|
case $host_os in
|
|
-linux-gnu*) ;;
|
|
+linux-gnu*|linux-uclibc*) ;;
|
|
linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
|
|
esac
|
|
|
|
@@ -1247,7 +1247,7 @@ linux-gnuoldld* | linux-gnuaout* | linux
|
|
;;
|
|
|
|
# This must be Linux ELF.
|
|
-linux-gnu*)
|
|
+linux*)
|
|
version_type=linux
|
|
need_lib_prefix=no
|
|
need_version=no
|